CMSAuthenticatedGenerator (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.cms

## Class CMSAuthenticatedGenerator

- java.lang.Object
- - org.bouncycastle.cms.CMSEnvelopedGenerator
  - - org.bouncycastle.cms.CMSAuthenticatedGenerator

- Direct Known Subclasses:
    CMSAuthenticatedDataGenerator, CMSAuthenticatedDataStreamGenerator

      public class CMSAuthenticatedGenerator
      extends CMSEnvelopedGenerator

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CMSAttributeTableGenerator` | `authGen`
    `protected CMSAttributeTableGenerator` | `unauthGen`

    - ### Fields inherited from class org.bouncycastle.cms.CMSEnvelopedGenerator

      `AES128_CBC, AES128_WRAP, AES192_CBC, AES192_WRAP, AES256_CBC, AES256_WRAP, CAMELLIA128_CBC, CAMELLIA128_WRAP, CAMELLIA192_CBC, CAMELLIA192_WRAP, CAMELLIA256_CBC, CAMELLIA256_WRAP, CAST5_CBC, DES_EDE3_CBC, DES_EDE3_WRAP, ECDH_SHA1KDF, ECMQV_SHA1KDF, IDEA_CBC, originatorInfo, RC2_CBC, SEED_CBC, SEED_WRAP, unprotectedAttributeGenerator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CMSAuthenticatedGenerator()` base constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.Map` | `getBaseParameters(org.bouncycastle.asn1.ASN1ObjectIdentifier contentType, org.bouncycastle.asn1.x509.AlgorithmIdentifier digAlgId, byte[] hash)`
    `void` | `setAuthenticatedAttributeGenerator(CMSAttributeTableGenerator authGen)`
    `void` | `setUnauthenticatedAttributeGenerator(CMSAttributeTableGenerator unauthGen)`

    - ### Methods inherited from class org.bouncycastle.cms.CMSEnvelopedGenerator

      `addRecipientInfoGenerator, setOriginatorInfo, setUnprotectedAttributeGenerator`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### authGen

          protected CMSAttributeTableGenerator authGen

    - #### unauthGen

          protected CMSAttributeTableGenerator unauthGen

  - ### Constructor Detail

    - #### CMSAuthenticatedGenerator

          public CMSAuthenticatedGenerator()

      base constructor

  - ### Method Detail

    - #### setAuthenticatedAttributeGenerator

          public void setAuthenticatedAttributeGenerator(CMSAttributeTableGenerator authGen)

    - #### setUnauthenticatedAttributeGenerator

          public void setUnauthenticatedAttributeGenerator(CMSAttributeTableGenerator unauthGen)

    - #### getBaseParameters

          protected java.util.Map getBaseParameters(org.bouncycastle.asn1.ASN1ObjectIdentifier contentType,
                                        org.bouncycastle.asn1.x509.AlgorithmIdentifier digAlgId,
                                        byte[] hash)